Bug 1258031 - [RFE] Short lived URL based access to protected content (download selected pkgs from UI)
Summary: [RFE] Short lived URL based access to protected content (download selected pk...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-28 17:28 UTC by Bryan Kearney
Modified: 2019-08-12 14:54 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Cause: Consequence: Fix: Result:
Clone Of:
Environment:
Last Closed: 2018-06-14 18:03:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 1315 Normal CLOSED - WONTFIX As a user, I can access time based urls to pull down unit files 2019-06-27 13:11:41 UTC
Foreman Issue Tracker 17429 None None None 2016-11-21 18:27:17 UTC
Red Hat Bugzilla 1267011 None None None 2019-04-26 05:42:07 UTC

Internal Links: 1267011

Description Bryan Kearney 2015-08-28 17:28:09 UTC
The katello UI would like to support the ability for a user from the UI or the CLI to download specific packages. Since these packages may be protected by certificates, there needs to be a way for teh UI to create a url which bypasses this. 

Apache mod_auth_token is one such tool for this type of access. This RFE is for pulp to support a means for katello to create short lived access which bypasses certificate checks and allows direct download.

-- bk

Comment 1 Justin Sherrill 2015-08-28 17:43:49 UTC
Another feature sat5 had was the ability to select multiple packages and download them all in a zip file.




Also we probably want the ability to download puppet modules and other types of content.

Comment 4 Bryan Kearney 2015-10-15 18:18:21 UTC
Upstream Pulp Request https://pulp.plan.io/issues/1315

Comment 5 Brad Buckingham 2016-11-21 18:27:14 UTC
Created redmine issue http://projects.theforeman.org/issues/17429 from this bug

Comment 6 pulp-infra@redhat.com 2016-11-21 18:56:09 UTC
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.

Comment 7 pulp-infra@redhat.com 2016-11-21 18:56:12 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 9 Bryan Kearney 2018-06-14 18:03:05 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 10 pulp-infra@redhat.com 2019-06-27 13:11:42 UTC
The Pulp upstream bug status is at CLOSED - WONTFIX. Updating the external tracker on this bug.


Note You need to log in before you can comment on or make changes to this bug.